/* $Id: SearchToolBar.java 125 2011-03-09 09:49:51Z ohura $ */
package smart_gs.swingui.toolbar;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JToolBar;

import smart_gs.GSConstants;
import smart_gs.smleditor.swingui.GSEditorFrame;
import smart_gs.swingui.toolbar.action.SearchActionListener;
import smart_gs.swingui.toolbar.action.Text2ImageActionListener;
@SuppressWarnings("serial")
public class SearchToolBar extends JToolBar{
	
	public SearchToolBar(GSEditorFrame parent){
		JButton search = new JButton(new ImageIcon(GSConstants.ICON_PATH+"search.png"));
		search.addActionListener(new SearchActionListener(parent));
		search.setToolTipText("Open Search Dialog");
		this.add(search);
		
		JButton text2Image = new JButton("Text-Image");
		text2Image.addActionListener(new Text2ImageActionListener());
//		this.add(text2Image);
	}
}
